> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Folder Tree from Path

> Retrieves a folder tree starting from a specific folder



## OpenAPI

````yaml /swagger/dam-api.json get /api/v1/{app_id}/folders/{id}/tree
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API Support
  description: This is the swagger for Enads Digital Assets Management service
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms
  title: Digital Assets Management
  version: '1.0'
servers:
  - url: //dam.enad.io
security: []
paths:
  /api/v1/{app_id}/folders/{id}/tree:
    get:
      tags:
        - Folders
      summary: Get Folder Tree from Path
      description: Retrieves a folder tree starting from a specific folder
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Folder ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Folder tree retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponseFolderTreeItem'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Folder not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseFolderTreeItem:
      properties:
        data:
          $ref: '#/components/schemas/FolderTreeResponse'
        success:
          type: boolean
      type: object
    ErrorResponse:
      properties:
        details:
          items:
            type: string
          type: array
        error:
          type: string
      type: object
    FolderTreeResponse:
      properties:
        children:
          items:
            $ref: '#/components/schemas/FolderTreeResponse'
          type: array
        created_at:
          type: string
        file_count:
          type: integer
        has_content_access:
          type: boolean
        id:
          type: string
        image_count:
          type: integer
        is_default:
          type: boolean
        name:
          type: string
        parent_id:
          type: string
        public:
          type: boolean
        slug:
          type: string
        updated_at:
          type: string
        video_count:
          type: integer
      type: object

````